Get photo details
GET
/cms/photo/{id}
const url = 'https://api.example.com/cms/photo/1';const options = {method: 'GET', headers: {'API-Key': '<API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.example.com/cms/photo/1 \ --header 'API-Key: <API-Key>'Returns details of a specific photo.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Responses
Section titled “Responses”Photo details
Media typeapplication/json
Attachment
API representation of an attachment (images, video, files)
object
id
Attachment ID
integer format: int64
name
Name
string
description
Description
string
type
Type (image|video|file)
string
url
Public URL
string
width
Width in pixels
integer format: int32
height
Height in pixels
integer format: int32
focal
Focal point as “x% y%”
string
transforms
Transforms (list of available image transforms)
Array<object>
object
x
Width in pixels
integer format: int32
y
Height in pixels
integer format: int32
url
URL of the transformed image
string
urls
Additional urls per transform
object
url_medium
Search title
string
url_highres
Search description
string
url_original
Social title
string
video
One of:
Video
API representation of a video
object
id
Video ID
integer format: int64
title
Title
string
url
URL
string
duration
Duration in seconds
integer format: int64
number
Episode number
integer format: int64
status
Status
string
showId
Show ID
integer format: int64
showName
Show name
string
showUrl
Show URL
string
brief
Brief
string
thumbnail
Thumbnail URL
string
thumbnailPlay
ThumbnailPlay URL
string
filename
Filename/URL
string
publishDate
Publish date
string
views
Views
integer format: int64
publish
Publish flag
formats
Formats
Array<object>
Video_FormatAPI representation of a video format
object
format
Format
string
filename
Filename/URL
string
cdnPath
CDN path
string
mime
MIME type
string
duration
Duration in seconds
integer format: int32
Example generated
{ "id": 1, "name": "example", "description": "example", "type": "example", "url": "example", "width": 1, "height": 1, "focal": "example", "transforms": [ { "x": 1, "y": 1, "url": "example" } ], "urls": { "url_medium": "example", "url_highres": "example", "url_original": "example" }, "video": { "id": 1, "title": "example", "url": "example", "duration": 1, "number": 1, "status": "example", "showId": 1, "showName": "example", "showUrl": "example", "brief": "example", "thumbnail": "example", "thumbnailPlay": "example", "filename": "example", "publishDate": "example", "views": 1, "publish": "example", "formats": [ { "format": "example", "filename": "example", "cdnPath": "example", "mime": "example" } ] }, "duration": 1}Forbidden
Photo not found